# Upload
Source: https://docs.iinkedsign.com/v4/api/files/upload
POST /files/upload
Upload one or more files to be signed. Save the returned `fileId` or `externalId` for use in future API requests.
Post the raw file (do not convert to base64) with a `Content-Type` of `application/pdf` for PDF or `application/octet-stream` for DOCX.
You must add a `Content-Disposition` header with the filename to allow any of the supported file conversions to PDF.
## Request
```http Request theme={null}
POST /files/upload
Content-Type: multipart/form-data
Content-Disposition: form-data; filename="document.pdf"
Content-Type: application/pdf
```
```http Request highlight={5} theme={null}
POST /files/upload
Content-Type: multipart/form-data
Content-Disposition: form-data; filename="document.docx"
Content-Type: application/octet-stream
```
```http Request highlight={4} theme={null}
POST /files/upload
Content-Type: multipart/form-data
Content-Disposition: form-data; filename*=UTF-8''r%C3%A9sum%C3%A9.pdf
Content-Type: application/pdf
```
### Query parameters
| Value | Description |
| :-------- | :----------------------------------------------------------------------------------------- |
| temporary | The file will be stored temporarily and deleted if not added to a package within 24 hours. |
Provide an external ID that can be used to reference the file.
This `externalId` will be stored with the document during `packages/add` request. It will then be included in future:
* `packages/status` requests
* `document` webhook events
If a user replaces a document after the package was created the `externalId` will no longer be associated with the document.
## Response
List of uploaded files with their statuses.
Unique identifier for the uploaded file.
External system identifier for the file, if available.
Original filer name of the uploaded file.
Indicates if the file is invalid or corrupted.
Indicates if the file was successfully converted to the required format.
Indicates if the file type is not supported.
Indicates if the file is password protected.
Error code or message related to the file upload or processing.
Additional message or details about the file status.
Type of stored file.
| Value | Description |
| :-------- | :----------------------------------------------------------------------------------------- |
| temporary | The file will be stored temporarily and deleted if not added to a package within 24 hours. |
## Errors
**PDF Error: PDF header not found.**
If a `PDF Error: PDF header not found.` error is returned, make sure you
are sending the file as binary data.
## Notes
**Encoding filename using UTF-8**
Replace filename (ISO-8859-1) in Content-Disposition header with filename\*=UTF-8''
* Place two separate single quotes after the UTF-8, not one double quote.
* You must URL Encode the filename to escape the UTF-8 characters and any whitespaces.
* Do not wrap the encoded filename with double quotes.
* Do not add a semicolon after the encoded filename.
**Example**
résumé.pdf `filename*=UTF-8''r%C3%A9sum%C3%A9.pdf`
For more information, refer to [RFC 5987](https://tools.ietf.org/html/rfc5987)
# Edit
Source: https://docs.iinkedsign.com/v4/api/links/edit
POST /packages/{packageId}/link/edit
Generate a secure link to allow editing of a package without requiring authentication.
You will have to refresh the package edit link before it expires. The link is short lived for security reasons.
## Request
```http Request theme={null}
POST /packages/{packageId}/link/edit
```
### Parameters
The unique identifier of the package you want to generate an edit link for.
## Response
Unique identifier of the package the link was generated for.
Display name for of the package the link was generated for.
URL that grants access to the package.
Type of link returned.
Token generated to provide access to the package.
Timestamp when the link expires (ISO 8601 format).
### Examples
```json Response (200) theme={null}
{
"name": "Signing",
"link": "https://sign.syngrafii.com/link/6iC4sCyjRaMTm2FcMjwIVA",
"type": "package_edit",
"token": "6iC4sCyjRaMTm2FcMjwIVA",
"timeExpires": "2021-08-10T15:40:51.7746401Z",
"packageId": "581aa1e0-49ea-4e49-841a-a74050e7d776"
}
```
# Sign
Source: https://docs.iinkedsign.com/v4/api/links/sign
POST /packages/{packageId}/link/sign/{signerId}
Generate a secure link to allow a signer to sign a package without requiring authentication.
If multi-factor authentication is enabled for the signer, they will be prompted to complete the second factor after accessing the link.
## Request
```http Request theme={null}
POST /packages/{packageId}/link/sign/{signerId}
```
### Parameters
The unique identifier of the package you want to generate a sign link for.
The unique identifier of the signer you want to generate a sign link for.
## Response
Unique identifier of the package the link was generated for.
Display name for of the package the link was generated for.
URL that grants access to the package.
Type of link returned.
Token generated to provide access to the package.
Timestamp when the link expires (ISO 8601 format).
### Examples
```json Response (200) theme={null}
{
"name": "Signing",
"link": "https://sign.syngrafii.com/link/6iC4sCyjRaMTm2FcMjwIVA",
"type": "package_sign",
"token": "6iC4sCyjRaMTm2FcMjwIVA",
"timeExpires": "2021-08-10T15:40:51.7746401Z",
"packageId": "581aa1e0-49ea-4e49-841a-a74050e7d776"
}
```
# Download
Source: https://docs.iinkedsign.com/v4/api/masterfile/download
GET /masterfiles/{packageId}/pdf/download
This endpoint will generate a MasterFile with all signers personally identifiable information (PII) included.
If you want more control over the content included in the MasterFile consider using the [MasterFile export API](/v4/api/masterfile/export) endpoint instead.
## Request
```http Request theme={null}
GET /masterfiles/{packageId}/pdf/download
```
### Parameters
The unique identifier of the package you want to download MasterFile for.
## Response
Returns a PDF file of the requested package's MasterFile.
```http Response theme={null}
HTTP/1.1 200 OK
Content-Type: application/pdf
Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf
```
# Export
Source: https://docs.iinkedsign.com/v4/api/masterfile/export
POST /masterfiles/export/pdf
You can export a customized version of the MasterFile PDF through the `masterfiles/export/pdf` endpoint.
MasterFile export allows you to control the included sections, PII, as well as filtering sections to include or exclude specific record types.
## Request
```http Request expandable theme={null}
POST /masterfiles/export/pdf
{
"packageId": "245f9562-7ddc-4d38-9e61-2d75b0774af9",
"signerId": null,
"options": {
"details": {
"include": true,
"maps": false,
"counts": true
},
"host": null,
"signers": {
"include": true,
"name": true,
"email": false,
"mobileNumber": false,
"device": false,
"ipAddress": false,
"location": false,
"verification": {
"include": true,
"passed": true,
"failed": true,
"errored": false,
"analysis": true,
"data": true,
"identity": true,
"documents": {
"include": true,
"includeTypes": [
"drivers_license",
"passport"
],
"images": {
"include": true,
"includeTypes": [
"live_photo"
]
}
}
}
},
"recipients": {
"include": false
},
"documents": {
"include": true
},
"meetings": null,
"verificationHistory": {
"include": false
},
"accessHistory": {
"include": false
},
"packageHistory": {
"include": true,
"excludeTypes": [
"package_added"
]
},
"notificationHistory": {
"include": false
},
"logs": {
"include": true,
"excludeTypes": [
"field_digitalsignature_add",
"page_enter",
"page_exit"
]
}
}
}
```
### Body
Unique package ID of the package to export MasterFile for.
Generates the MasterFile for the specified signer ID, hiding other signers' PII and including the specified signer's PII based on the export options.
If not provided, the MasterFile will include all signers' PII based on the export options.
Overrides the default package or organization's time zone.
IANA Time Zones: [https://www.iana.org/time-zones](https://www.iana.org/time-zones)
When set to true the export options will not be merged with the default MasterFile export options. This is useful if you do not want new sections to automatically appear in future releases.
Options to customize how the MasterFile PDF is generated during export.
Include details section.
Include field counts summaries.
Include location maps. (requires location)
Include link in footer that can be used to request viewing the MasterFile online.
Include host section.
Include name.
Include email.
Include mobile number.
Include device details.
Include IP address.
include location details.
Include verification section
Include verification ID in verification summary
Include verification results that have passed
Include verification results that have failed
Include verification results that were not processed due to an error
Include result analysis section
Include result identity section
Include result data section
Include verification documents
Include by Verification Document Type
| Key | Description |
| ---------------- | ---------------------------------------------------- |
| drivers\_license | Driver's License |
| health\_card | Health Card |
| identity\_card | Identity Card |
| military\_id | Military ID |
| other | Other (Returned when document type detection failed) |
| passport | Passport |
| resident\_card | Resident Card |
| travel\_document | Travel Document |
| visa | Visa |
| voter\_id | Voter ID |
Exclude by Verification Document Type
| Key | Description |
| ---------------- | ---------------------------------------------------- |
| drivers\_license | Driver's License |
| health\_card | Health Card |
| identity\_card | Identity Card |
| military\_id | Military ID |
| other | Other (Returned when document type detection failed) |
| passport | Passport |
| resident\_card | Resident Card |
| travel\_document | Travel Document |
| visa | Visa |
| voter\_id | Voter ID |
Include verification document images
Include by Verification Document Image Type
| Key | Description |
| ----------- | ------------------------------------------------------------------------------ |
| live\_photo | Selfie of signer captured during live selfie process of document verification. |
| front | Front image of document captured during document verification. |
| back | Back image of document captured during document verification. |
| passport | Image of passport captured during document verification. |
Exclude by Verification Document Image Type
| Key | Description |
| ----------- | ------------------------------------------------------------------------------ |
| live\_photo | Selfie of signer captured during live selfie process of document verification. |
| front | Front image of document captured during document verification. |
| back | Back image of document captured during document verification. |
| passport | Image of passport captured during document verification. |
Include signers section.
Include name.
Include email.
Include mobile number.
Include device details.
Include IP address.
include location details.
Include verification section
Include verification ID in verification summary
Include verification results that have passed
Include verification results that have failed
Include verification results that were not processed due to an error
Include result analysis section
Include result identity section
Include result data section
Include verification documents
Include by Verification Document Type
| Key | Description |
| ---------------- | ---------------------------------------------------- |
| drivers\_license | Driver's License |
| health\_card | Health Card |
| identity\_card | Identity Card |
| military\_id | Military ID |
| other | Other (Returned when document type detection failed) |
| passport | Passport |
| resident\_card | Resident Card |
| travel\_document | Travel Document |
| visa | Visa |
| voter\_id | Voter ID |
Exclude by Verification Document Type
| Key | Description |
| ---------------- | ---------------------------------------------------- |
| drivers\_license | Driver's License |
| health\_card | Health Card |
| identity\_card | Identity Card |
| military\_id | Military ID |
| other | Other (Returned when document type detection failed) |
| passport | Passport |
| resident\_card | Resident Card |
| travel\_document | Travel Document |
| visa | Visa |
| voter\_id | Voter ID |
Include verification document images
Include by Verification Document Image Type
| Key | Description |
| ----------- | ------------------------------------------------------------------------------ |
| live\_photo | Selfie of signer captured during live selfie process of document verification. |
| front | Front image of document captured during document verification. |
| back | Back image of document captured during document verification. |
| passport | Image of passport captured during document verification. |
Exclude by Verification Document Image Type
| Key | Description |
| ----------- | ------------------------------------------------------------------------------ |
| live\_photo | Selfie of signer captured during live selfie process of document verification. |
| front | Front image of document captured during document verification. |
| back | Back image of document captured during document verification. |
| passport | Image of passport captured during document verification. |
Include signers by ID.
Exclude signers by ID.
Include by signers by role(s).
| Value | Description |
| :----- | :---------------------------------------------------------------------- |
| signer | Signer |
| guest | Guest of VSR or In Person signing that is not a signer of any documents |
| host | Host of VSR or In Person signing |
Exclude by signers by role(s).
| Value | Description |
| :----- | :---------------------------------------------------------------------- |
| signer | Signer |
| guest | Guest of VSR or In Person signing that is not a signer of any documents |
| host | Host of VSR or In Person signing |
Include by signers by type(s).
| Value | Description |
| :----- | :------------------------------------------------------------------------ |
| signer | Signer |
| guest | Signer that was added by the host during VSR or In Person signing session |
Exclude by signers by type(s).
| Value | Description |
| :----- | :------------------------------------------------------------------------ |
| signer | Signer |
| guest | Signer that was added by the host during VSR or In Person signing session |
Include recipients section.
Include name.
Include email.
Include mobile number.
Include device details.
Include IP address.
include location details.
Include recipients by ID.
Exclude recipients by ID.
Include by recipients by type(s).
| Value | Description |
| :---- | :------------------------------------------------------------- |
| cc | Recipient that will be **CC** on package email notifications. |
| bcc | Recipient that will be **BCC** on package email notifications. |
Exclude by recipients by type(s).
| Value | Description |
| :---- | :------------------------------------------------------------- |
| cc | Recipient that will be **CC** on package email notifications. |
| bcc | Recipient that will be **BCC** on package email notifications. |
Include documents section.
Include meetings section.
Include verification history section.
Include access history section.
Include access history by action(s).
| Value | Description |
| :-------------------- | :------------------------------------------------------------------------------- |
| access\_challenged | Signer was issued MFA challenge |
| access\_failed | Signer failed MFA attempt |
| access\_lockout | Signer failed MFA attempt multiple times in a row and was temporarily locked out |
| document\_opened | Signer opened document |
| meeting\_joined | Signer joined VSR meeting |
| mobile\_started | Signer started mobile signature pad session |
| session\_started | Signer started signing session |
| verification\_started | Signer started verification session |
Exclude access history by action(s).
| Value | Description |
| :-------------------- | :------------------------------------------------------------------------------- |
| access\_challenged | Signer was issued MFA challenge |
| access\_failed | Signer failed MFA attempt |
| access\_lockout | Signer failed MFA attempt multiple times in a row and was temporarily locked out |
| document\_opened | Signer opened document |
| meeting\_joined | Signer joined VSR meeting |
| mobile\_started | Signer started mobile signature pad session |
| session\_started | Signer started signing session |
| verification\_started | Signer started verification session |
Include access history by type(s).
| Value | Description |
| :----------- | :---------------------------------- |
| meeting | VSR meeting access history |
| mobile | Mobile signature pad access history |
| security | MFA access history |
| session | Signing session access history |
| verification | Verification session access history |
Exclude access history by type(s).
| Value | Description |
| :----------- | :---------------------------------- |
| meeting | VSR meeting access history |
| mobile | Mobile signature pad access history |
| security | MFA access history |
| session | Signing session access history |
| verification | Verification session access history |
Include package history section.
Include package history by type(s).
| Value | Description |
| :----------------------------------------------- | :------------------------------------------------------------------------------------------- |
| document\_added | Document was added |
| document\_deleted | Document was deleted |
| document\_regen | Document was regenerated after changes |
| document\_regen\_signed | Signed document was regenerated after changes requiring signer(s) to sign the document again |
| document\_updated | Document was modified |
| document\_updated\_template | Document template was updated |
| document\_updated\_template\_annotation\_added | Package owner added annotation to document |
| document\_updated\_template\_annotation\_deleted | Package owner deleted annotation from document |
| document\_updated\_template\_annotation\_updated | Package owner updated annotation in document |
| master\_file\_exported | MasterFile was exported by organization member |
| meeting\_added | VSR meeting was scheduled |
| meeting\_deleted | VSR meeting was cancelled |
| meeting\_updated | VSR meeting was updated |
| meeting\_video\_deleted | VSR video was deleted |
| package\_added | Package was added |
| package\_deleted | Package was deleted |
| package\_passphrase | MFA passphrase was added to package |
| package\_sent | Package was sent to signer |
| package\_updated | Package was updated |
| recipient\_added | Recipient was added |
| recipient\_deleted | Recipient was deleted |
| recipient\_updated | Recipient was updated |
| signer\_added | Signer was added |
| signer\_deleted | Signer was deleted |
| signer\_updated | Signer was updated |
| verification\_viewed | Verification was viewed by organization member |
Exclude package history by type(s).
| Value | Description |
| :----------------------------------------------- | :------------------------------------------------------------------------------------------- |
| document\_added | Document was added |
| document\_deleted | Document was deleted |
| document\_regen | Document was regenerated after changes |
| document\_regen\_signed | Signed document was regenerated after changes requiring signer(s) to sign the document again |
| document\_updated | Document was modified |
| document\_updated\_template | Document template was updated |
| document\_updated\_template\_annotation\_added | Package owner added annotation to document |
| document\_updated\_template\_annotation\_deleted | Package owner deleted annotation from document |
| document\_updated\_template\_annotation\_updated | Package owner updated annotation in document |
| master\_file\_exported | MasterFile was exported by organization member |
| meeting\_added | VSR meeting was scheduled |
| meeting\_deleted | VSR meeting was cancelled |
| meeting\_updated | VSR meeting was updated |
| meeting\_video\_deleted | VSR video was deleted |
| package\_added | Package was added |
| package\_deleted | Package was deleted |
| package\_passphrase | MFA passphrase was added to package |
| package\_sent | Package was sent to signer |
| package\_updated | Package was updated |
| recipient\_added | Recipient was added |
| recipient\_deleted | Recipient was deleted |
| recipient\_updated | Recipient was updated |
| signer\_added | Signer was added |
| signer\_deleted | Signer was deleted |
| signer\_updated | Signer was updated |
| verification\_viewed | Verification was viewed by organization member |
Include notification history section.
Include notification history by template(s).
| Value | Description |
| :---------------------------- | :------------------------------------------------------------------- |
| document\_accessed | Document was opened by signer |
| document\_executed | Document was executed by all signers |
| document\_executed\_all | All documents were executed by all signers |
| document\_next | Next signer in a sequential signing |
| document\_reminder | Reminder to sign document(s) |
| document\_signed | Document signed by signer |
| mobile\_link | Link to open mobile signature pad |
| package\_cancelled | Signing package was cancelled |
| package\_executed | Signing package was executed by all signers |
| package\_masterfile\_link | MasterFile link was requested and sent to signer's email address |
| package\_meeting | VSR meeting was scheduled |
| package\_meeting\_cancelled | VSR meeting was cancelled |
| package\_notification | Custom signing package notification was sent to signer |
| package\_notification\_failed | Delivery failure notification sent to package owner |
| package\_review\_link | Package review link was requested and sent to signer's email address |
| package\_sign | Signing package sign document(s) request sent to signer |
| package\_updated | Signing package has been updated |
| security\_code | MFA security code has been sent to signer's mobile number |
| verification\_completed | Signer completed IDV |
| verification\_failed | Signer failed IDV |
| verification\_link | Link to open IDV |
Exclude notification history by template(s).
| Value | Description |
| :---------------------------- | :------------------------------------------------------------------- |
| document\_accessed | Document was opened by signer |
| document\_executed | Document was executed by all signers |
| document\_executed\_all | All documents were executed by all signers |
| document\_next | Next signer in a sequential signing |
| document\_reminder | Reminder to sign document(s) |
| document\_signed | Document signed by signer |
| mobile\_link | Link to open mobile signature pad |
| package\_cancelled | Signing package was cancelled |
| package\_executed | Signing package was executed by all signers |
| package\_masterfile\_link | MasterFile link was requested and sent to signer's email address |
| package\_meeting | VSR meeting was scheduled |
| package\_meeting\_cancelled | VSR meeting was cancelled |
| package\_notification | Custom signing package notification was sent to signer |
| package\_notification\_failed | Delivery failure notification sent to package owner |
| package\_review\_link | Package review link was requested and sent to signer's email address |
| package\_sign | Signing package sign document(s) request sent to signer |
| package\_updated | Signing package has been updated |
| security\_code | MFA security code has been sent to signer's mobile number |
| verification\_completed | Signer completed IDV |
| verification\_failed | Signer failed IDV |
| verification\_link | Link to open IDV |
Include notification history by type(s).
| Value | Description |
| :---- | :----------------- |
| email | Email notification |
| sms | SMS notification |
Exclude notification history by type(s).
| Value | Description |
| :---- | :----------------- |
| email | Email notification |
| sms | SMS notification |
Include signing logs section.
Include signing logs by type(s).
| Value | Description |
| :------------------------------ | :------------------------------------------------- |
| document\_opened | Document opened |
| document\_saved | Document saved |
| document\_finalized | Document finalized |
| page\_enter | Page entered |
| page\_exit | Page exited |
| field\_annotation\_add | Annotation field added (free form ink annotations) |
| field\_checkbox\_check | Checkbox field checked |
| field\_checkbox\_uncheck | Checkbox field unchecked |
| field\_date\_add | Date field added |
| field\_date\_delete | Date field deleted |
| field\_digitalsignature\_add | Digital Signature field added |
| field\_digitalsignature\_delete | Digital Signature field deleted |
| field\_dropdown\_delete | Dropdown field deleted |
| field\_dropdown\_select | Dropdown field selected |
| field\_image\_add | Image field added |
| field\_image\_delete | Image field deleted |
| field\_initials\_add | Initials added |
| field\_initials\_delete | Initials deleted |
| field\_radio\_select | Radio field selected |
| field\_signature\_add | Signature field added |
| field\_signature\_delete | Signature field deleted |
| field\_stamp\_add | Stamp field added |
| field\_text\_add | Text field added |
| field\_text\_delete | Text field deleted |
Exclude signing logs by type(s).
| Value | Description |
| :------------------------------ | :------------------------------------------------- |
| document\_opened | Document opened |
| document\_saved | Document saved |
| document\_finalized | Document finalized |
| page\_enter | Page entered |
| page\_exit | Page exited |
| field\_annotation\_add | Annotation field added (free form ink annotations) |
| field\_checkbox\_check | Checkbox field checked |
| field\_checkbox\_uncheck | Checkbox field unchecked |
| field\_date\_add | Date field added |
| field\_date\_delete | Date field deleted |
| field\_digitalsignature\_add | Digital Signature field added |
| field\_digitalsignature\_delete | Digital Signature field deleted |
| field\_dropdown\_delete | Dropdown field deleted |
| field\_dropdown\_select | Dropdown field selected |
| field\_image\_add | Image field added |
| field\_image\_delete | Image field deleted |
| field\_initials\_add | Initials added |
| field\_initials\_delete | Initials deleted |
| field\_radio\_select | Radio field selected |
| field\_signature\_add | Signature field added |
| field\_signature\_delete | Signature field deleted |
| field\_stamp\_add | Stamp field added |
| field\_text\_add | Text field added |
| field\_text\_delete | Text field deleted |
## Response
Returns a PDF file of the requested package's MasterFile based on the provided options.
```http Response theme={null}
HTTP/1.1 200 OK
Content-Type: application/pdf
Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf
```
# Get
Source: https://docs.iinkedsign.com/v4/api/masterfile/get
GET /masterfiles/{packageId}
This returns the full MasterFile object.
Parsing the MasterFile JSON is not recommended as the structure is complex and is subject to change over time.
## Request
```http Request theme={null}
GET /masterfiles/{packageId}
```
### Parameters
The unique identifier of the package you want to download MasterFile for.
# Download
Source: https://docs.iinkedsign.com/v4/api/masterfile/signer/download
GET /masterfiles/{packageId}/signer/{signerId}/pdf/download
This endpoint will generate a MasterFile for the specified signer, all other signers' sensitive personally identifiable information (PII) will be nulled out. If the signer is also the package owner they will still see all signers' PII. If the signer is not the package owner they will only see their own PII. This is useful when sharing MasterFile data with signers while keeping other signers' PII private.
### PII not shared when using `/signer/{signerId}` endpoint:
* Mobile Number
* Device
* IP Address
* Location (Address, Latitude, and Longitude)
If you want more control over the content included in the MasterFile consider using the [MasterFile export API](/v4/api/masterfile/export) endpoint instead.
## Request
```http Request theme={null}
GET /masterfiles/{packageId}/signer/{signerId}/pdf/download
```
### Parameters
The unique identifier of the package you want to download MasterFile for.
The unique identifier of the signer you want to download MasterFile as.
## Response
Returns a PDF file of the requested package's MasterFile for the specified signer.
```http Response theme={null}
HTTP/1.1 200 OK
Content-Type: application/pdf
Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf
```
# Get
Source: https://docs.iinkedsign.com/v4/api/masterfile/signer/get
GET /masterfiles/{packageId}/signer/{signerId}
This returns the full MasterFile object for the specified signer, all other signers' sensitive personally identifiable information (PII) will be nulled out. If the signer is also the package owner they will still see all signers' PII. If the signer is not the package owner they will only see their own PII. This is useful when sharing MasterFile data with signers while keeping other signers' PII private.
Parsing the MasterFile JSON is not recommended as the structure is complex and is subject to change over time.
## Request
```http Request theme={null}
GET /masterfiles/{packageId}/signer/{signerId}
```
### Parameters
The unique identifier of the package you want to download MasterFile for.
The unique identifier of the signer you want to download MasterFile as.
# Add
Source: https://docs.iinkedsign.com/v4/api/packages/add
POST /packages/add
The `/packages/add` endpoint allows you to create a new package within the application.
A package typically contains one or more documents and signers who are required to review and sign those documents.
In production it is recommended to upload files using the [Files upload API](/v4/api/files/upload) and reference them by `fileId` when adding your documents to a package.
## Request
```http Request highlight={4} theme={null}
POST /packages/add
{
"name": "New Package",
"type": "concurrent",
"signers": [
{
"firstName": "Signer",
"lastName": "One",
"email": "signer.one@example.com"
}
],
"documents": [
{
"fileName": "agreement.pdf",
"fileId": "d29e25e0-624b-4adb-b118-19c4d0125e5e"
}
]
}
```
```http Request highlight={4} theme={null}
POST /packages/add
{
"name": "New Package",
"type": "Sequential",
"signers": [
{
"firstName": "Signer",
"lastName": "One",
"email": "signer.one@example.com"
},
{
"firstName": "Signer",
"lastName": "Two",
"email": "signer.two@example.com"
}
],
"documents": [
{
"fileName": "agreement.pdf",
"fileId": "d29e25e0-624b-4adb-b118-19c4d0125e5e"
}
]
}
```
```http Request highlight={4,6-7,14} theme={null}
POST /packages/add
{
"name": "New Package",
"type": "video_closing_room",
"meeting": {
"timeStart": "2024-12-01T15:00:00Z",
"duration": "PT1H"
},
"signers": [
{
"firstName": "Host",
"lastName": "One",
"email": "host.one@example.com",
"role": "host"
},
{
"firstName": "Signer",
"lastName": "One",
"email": "signer.one@example.com",
"role": "signer"
}
{
"firstName": "Signer",
"lastName": "Two",
"email": "signer.two@example.com",
"role": "signer"
}
],
"documents": [
{
"fileName": "agreement.pdf",
"fileId": "d29e25e0-624b-4adb-b118-19c4d0125e5e"
}
]
}
```
When using templating tags in a document for a video signing room the host should be referenced as `{{signer_host:signature_1}}`, and the first signer will be referenced as `{{signer_1:signature_1}}`.
See the [Package options guide](/v4/guides/package-options#video-signing-room) for more information.
```http Request highlight={4,10} theme={null}
POST /packages/add
{
"name": "New Package",
"type": "Live Session",
"signers": [
{
"firstName": "Signer",
"lastName": "Host",
"email": "signer.host@example.com",
"role": "host"
},
{
"firstName": "Signer",
"lastName": "One",
"email": "signer.one@example.com"
}
{
"firstName": "Signer",
"lastName": "Two",
"email": "signer.two@example.com"
}
],
"documents": [
{
"fileName": "agreement.pdf",
"fileId": "d29e25e0-624b-4adb-b118-19c4d0125e5e"
}
]
}
```
When creating an In Person package you need to specify which signer is the host. The host will be the only signer that will receive a notification to sign the package.
### Body
Name of the package.
Description of the package.
Message to be shared with all signers.
Type of package signing workflow.
| Value | Description |
| :------------------- | :---------------------------------------------------------------------------------------------- |
| concurrent | **Concurrent**: Allows multiple signers to sign the document simultaneously. |
| Sequential | **Sequential**: Requires signers to sign the document in a specific order. |
| Counterpart | **Group Send**: Enables group signing, where all signers receive the document at the same time. |
| video\_closing\_room | **Video Signing Room**: A virtual room for signing documents via video conference. |
| Live Session | **In Person**: An in-person signing session with all parties present. |
Even though the signing workflow names have evolved, the constants used to identify them have remained the same.
The package type constants are case-sensitive. Ensure that you use the exact casing as shown in the table above when specifying package types in your API requests.
State of the package.
| Value | Description |
| :----- | :------------------------------------------------------------------------------------------------ |
| open | Package is ready for signing, notifications will be sent to signers (if enabled). `default` |
| draft | Package is not ready to be sent and will appear under Drafts. |
| add | Use when embedding the package editor to provide an experience similar to creating a new package. |
| select | Use when embedding the package editor to let users choose a signing workflow type. |
Category of the package.
Client number associated with the package.
Matter number associated with the package.
Date by which the document should be signed. After this date, the package will expire and can no longer be signed unless extended.
If not specified, the default value is 7 days from the current date.
The date should be in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
Details about the meeting associated with the package.
This is only applicable for packages with the `video_closing_room` signing workflow type.
Start time of the meeting in ISO 8601 format: `YYYY-MM-DDTHH:MM:SSZ`.
Duration of the meeting in ISO 8601 format: `PT1H30M`.
Locale to create the package in.
If not provided, the package will be created in the organization's default locale.
| Value | Description |
| :---- | :---------- |
| en | English |
| fr | français |
| de | Deutsch |
| es | Español |
Member ID to create the package under.
If not provided, the package will be created under the current member.
You require `Sign Editor` or `Package Editor` role to create a package on behalf of another member.
Team ID to create the package under.
If not provided, the package will be created under the given member, or under the current member if none is provided.
Folder ID to create the package under.
If not provided, the package will be created in the root folder.
Set to `true` to return links for integrating document signing workflows.
See the [Embed signing guide](/v4/guides/embed-signing) for more information.
Set to `true` to return a link for integrating document editing workflows.
See the [Embed editor guide](/v4/guides/embed-editor) for more information.
Additional options for the package.
Enable embedded signing mode.
Embed options used to customize the embedded package editor.
2.8
User can only save changes to draft packages; the user will not be able to send it.
User will not be allowed to modify package properties.
User will not be allowed to modify package verification properties.
User will not be allowed to modify package signers.
User will not be allowed to modify package documents.
User will not be allowed to modify package properties, verification properties, signers, or documents. They will still be allowed to template each document.
The first document will be focused when the package editor is loaded instead of the package properties.
User will be redirected back to the returnUrl when they are done editing the package.
Will be included in a `state` query string parameter appended to the `returnUrl`.
Show custom brand when signing package.
1.10
Add document identifier to each page (QR code).
Allow VSR participants to review documents before a meeting via a Review Documents link added to email meeting invitation.
2.6
Allow signers to forward the signing to another email address.
4.0
Enabled to not share email addresses between signers.
2.11
Supported in the following package types:
* Concurrent (`concurrent`)
* Sequential (`Sequential`)
* Group Send (`Counterparts`)
Do not allow signers to fill AcroForm fields during signing.
3.3
Do not allow signers to modify AcroForm fields during signing.
3.6
Control how Acroform fields are flattened after signing a document.
2.6
| Value | Description |
| :----- | :----------------------------------- |
| none | Do not flatten fields |
| filled | Flatten only fields filled by signer |
| all | Flatten all fields `default` |
Override the default ink color `#0000FF` for Ink to Sign signatures and initials with a valid #-hexadecimal RGB color value.
2.10
Set preferred default mark type.
4.0
| Value | Description |
| :-------------- | :---------- |
| touch\_to\_sign | iink It |
| type\_to\_sign | Type It |
| click\_to\_sign | Accept It |
Add a retention period to the package to prevent deletion. (ISO 8601 duration)
1.11
Override system messages by message key. Each value contains an optional
`default` string and an optional `locale` map of locale codes to strings.
Values are limited to 1,024 characters and cannot contain website domains or
email addresses.
3.6
Add custom consent notice text by consent type: `signing`, `verification`, or
`video_recording`. Each value contains an optional `default` string and an
optional `locale` map of locale codes to strings. Custom text is appended to
the system notice, supports locale fallback, is limited to 1,024 characters,
and cannot contain website domains or email addresses.
4.2
Parse document for templating tags. Defaults to true.
Parse merger data templating tags. Defaults to false.
4.0
Control how unused signer tags are handled.
2.6
| Value | Description |
| :----- | :------------------------------- |
| keep | Leave unused tags in document |
| hide | Move unused tags to hidden layer |
| remove | Remove unused tags `default` |
Control which document(s) within a package have the CAC page appended to them.
3.2
| Value | Description |
| :-------------- | :---------------------------------- |
| document\_all | Append to all documents in package |
| document\_first | Append to first document in package |
| document\_last | Append to last document in package |
When enabled will add a signer identification placeholder for each signer on the CAC page.
3.2
Add a custom disclaimer to the top of the Compliance Audit Certificate.
1.10
Enabled 2FA security code.
All signers will require a valid mobile phone number to enable mobile MFA.
Enabled 2FA security passphrase.
You must also set a passphrase as part of add or update request to enabled 2FA security passphrase.
```json theme={null}
{
"options": {
"securityPassphrase": true,
...
},
"securityPassphrase": "mySecretPassphrase"
}
```
Enable all mark types.
Enabled click to sign `Accept It`.
Enabled type to sign `Type It`.
Enabled touch to sign `Ink It`.
Allows signer to use desktop mouse to draw signature via touch to sign.
Allow signers to apply their last used iink signature during a signing session. Defaults to `false`.
4.1
Automatically starts video recording after host starts meeting and first attendee joins.
Disables video recording feature preventing host from recording signing session.
Add a retention period to all package videos to prevent deletion. (ISO 8601 duration)
1.11
Share meeting details and videos with guest signers via MasterFile.
Prevent all package notifications from being sent to signers. This option will override other notify options. This option will not prevent Document Accessed (notifyAccessed) notifications if enabled.
1.10.4
Set to false to not include signed documents as attachments in executed email notifications.
2.5
Send email notification to owner to confirm package was created.
Send email notification to owner whenever a signer opens a document (limited to once every hour).
Send email notification to each signer when it is their turn to sign.
Send email notification to each signer to notify them that they are waiting their turn to sign.
Send email notification to each signer when Video Signing Room meeting is scheduled.
Include ICS compatible meeting invitation with email notification to schedule meeting date and time in recipients' calendar.
Send email notification to signer after they sign each document.
2.5
For Sequential packages, the next signer notification is only sent after the current signer has signed all of their documents.
3.3
Send email to owner to notify them when all signers have signed each document.
Don't send document executed email until all documents in the package have been fully signed.
3.3
`Counterparts` Send document executed notification TO package owner and CC signer.
1.10
Send signers fully executed document with CAC page appended to end of document.
1.10
Send signers fully executed document without CAC page appended to end of document.
1.10
Send signers separated CAC page as an additional attachment.
1.10
Allow signer to add additional fields while signing documents. Customize signerTools to control what fields the signer can add.
Allow signer to delete any templated fields while signing a document. This is default behavior for VSR and In Person package types. It is recommended to use optional fields instead for Concurrent, Sequential, and Group Send package types.
2.10
Customize signer toolbar options.
Enable sign.
Enable annotations (ink) on mobile devices.
Enable annotations (ink) on desktop.
Enable text.
Enable note.
Enable forms.
Auto highlight form fields.
Enable image.
Request Signers Geolocation while signing documents, joining VSR meetings, performing IDV, and connecting to a mobile signature pad.
Customize how Geolocation is collected.
3.6
Require geolocation to be shared before allowing the signer to continue.
Require geolocation to be shared before the signer can sign documents.
(`required` must also be set to `true`)
Require geolocation to be shared before the signer can use signature pad.
(`required` must also be set to `true`)
Require geolocation to be shared before the signer can join VSR meetings.
(`required` must also be set to `true`)
Require geolocation to be shared before the signer can verify their identity.
(`required` must also be set to `true`)
Enable custom PDF security options.
2.10
Customize PDF security options.
2.10
Allow PDF merge operations.
Allow copying PDF content.
Allow only degraded PDF printing.
Allow PDF AcroForms fields to be filled in (when formFlattening option is not set to "all").
Allow PDF annotations.
Allow PDF editing.
Allow PDF printing.
Allow screen readers.
PDF security options are enforced only when the PDF is opened in a PDF viewer that supports the PDF security settings. Not all PDF viewers support these settings.
Configure consent requirements and automatic reuse.
4.2
Require the signer to provide consent before completing a configured consent
action. Defaults to `false`.
Require consent before signing. Defaults to `true`.
Require consent before video recording in a Video Signing Room package.
Defaults to `false`.
Reuse a member's previously accepted consent when the consent type and notice
version match and the acceptance occurred within this number of days. Defaults
to `90`. Set to `0` to disable automatic reuse.
Set identity verification options.
3.2
The policy ID of the custom Identity Verification Policy to use during signer identity verification. (Custom IDV policies currently must be created by our Support Team for your organization.)
The code of one of our standard Identity Verification Policy to use during signer identity verification.
| Policy Code | Pass-To-Sign | Region | Retries |
| :--------------------------------------- | :----------: | :----: | :-----: |
| trulioo3\_document | false | Any | 2 |
| trulioo3\_document\_required | true | Any | 2 |
| trulioo3\_document\_ca\_strict | false | CA | 2 |
| trulioo3\_document\_ca\_strict\_required | true | CA | 2 |
**Pass-To-Sign** indicates whether the signer must successfully complete identity verification before they can sign their documents.
Configure the digital signature types and providers available to signers.
4.2
Map each enabled digital signature type to an ordered list of provider names.
| Signature type | Description |
| :------------- | :----------------------------- |
| `qes` | Qualified Electronic Signature |
| Value | Provider |
| :------------ | :---------- |
| `digidentity` | Digidentity |
Provider availability depends on your subscription and organization configuration.
Set package `Remind Me Later` options.
4.0
Number of days, from today, to send a reminder notification to the package owner.
Message that will be sent with the reminder notification to package owner.
List of signers for the package.
User-defined identifier used to associate template tags with this signer.
See the [Signer tags guide](/v4/guides/template-tagging/signer-tags) for more information.
Signer's first name.
Signer's last name.
Signer's email. (used to send notifications)
Signer's mobile number. (used for 2FA and mobile signatures)
Role of signer.
| Value | Description |
| :----- | :---------------------------------------------------------------------- |
| signer | Signer |
| guest | Guest of VSR or In Person signing that is not a signer of any documents |
| host | Host of VSR or In Person signing |
Set to `true` to request signer identity verification.
Requires a verification policy to be assigned to package.
Set to `true` to include the signer in the CAC page.
List of recipients for the package.
Recipient's first name.
Recipient's last name.
Recipient's email. (used to send notifications)
Recipient's mobile number. (used for 2FA if enabled)
Type of recipient.
| Value | Description |
| :---- | :------------------------------------------------------------- |
| cc | Recipient that will be **CC** on package email notifications. |
| bcc | Recipient that will be **BCC** on package email notifications. |
List of documents for the package.
Friendly file name shown to signers. (defaults to `fileName` if not specified)
Filename including extension.
Base64 encoding of file.
URL of file. (must be https and publicly accessible)
Unique file ID of an existing file added via [Files upload API](/v4/api/files/upload.mdx).
Either `fileData`, `fileUrl`, or `fileId` is required. We recommend using `fileId` to avoid exceeding per request size limits.
The template collection that will be searched to automatically apply any matching templates.
Use this when you want to utilize auto-templates but do not know the specific template or document to apply. This will look for any matching auto-templates in the specified collection.
The full auto-template code `{templateCode}:{documentCode}` that will be used to automatically apply an existing auto-template document.
Use this when you know the specific auto-template and document you want to apply.
The template document ID to apply to this document.
Use this when you want to apply a specific document template from the template passed via `templateId` in the parent object.
Set of key/value pairs of data used to pre-populate templated fields with. The key must match a unique data ID assigned to a template field.
```json theme={null}
...
"templateData": {
"field1": "value1",
"field2": "value2"
},
...
```
## Response
Unique identifier for the package.
Full package object, returned when `returnPackage` is set to `true` on the request.
Unique identifier for the package.
Unique identifier for the organization that owns the package.
Identifier for the member who created/owns the package.
Team identifier associated with the package. (optional)
Folder identifier where the package is stored. (optional)
Set to `true` if the package is shared.
Current scheduled meeting ID for the package (if applicable).
ID of the template the package was created from (if applicable).
ID of the form the package was created from (if applicable).
ID of the API key used to create the package (if created via API key).
Display name of the package.
Category for the package. (optional)
Client reference number. (optional)
Matter reference number. (optional)
Description of the package. (optional)
Message included when the package was sent. (optional)
Message explaining why the package was rescinded. (optional)
Reminder message for signers. (optional)
Creation time (ISO 8601 date-time).
Reminder time (ISO 8601 date-time).
Retention expiry time (ISO 8601 date-time).
Time the package was rescinded (ISO 8601).
Time the package was deleted (ISO 8601).
Deadline for signing (ISO 8601 date-time).
Last modification time (ISO 8601 date-time).
Package options.
Enable embedded signing mode.
Embed options used to customize the embedded package editor.
2.8
User can only save changes to draft packages; the user will not be able to send it.
User will not be allowed to modify package properties.
User will not be allowed to modify package verification properties.
User will not be allowed to modify package signers.
User will not be allowed to modify package documents.
User will not be allowed to modify package properties, verification properties, signers, or documents. They will still be allowed to template each document.
The first document will be focused when the package editor is loaded instead of the package properties.
User will be redirected back to the returnUrl when they are done editing the package.
Will be included in a `state` query string parameter appended to the `returnUrl`.
Show custom brand when signing package.
1.10
Add document identifier to each page (QR code).
Allow VSR participants to review documents before a meeting via a Review Documents link added to email meeting invitation.
2.6
Allow signers to forward the signing to another email address.
4.0
Enabled to not share email addresses between signers.
2.11
Supported in the following package types:
* Concurrent (`concurrent`)
* Sequential (`Sequential`)
* Group Send (`Counterparts`)
Do not allow signers to fill AcroForm fields during signing.
3.3
Do not allow signers to modify AcroForm fields during signing.
3.6
Control how Acroform fields are flattened after signing a document.
2.6
| Value | Description |
| :----- | :----------------------------------- |
| none | Do not flatten fields |
| filled | Flatten only fields filled by signer |
| all | Flatten all fields `default` |
Override the default ink color `#0000FF` for Ink to Sign signatures and initials with a valid #-hexadecimal RGB color value.
2.10
Set preferred default mark type.
4.0
| Value | Description |
| :-------------- | :---------- |
| touch\_to\_sign | iink It |
| type\_to\_sign | Type It |
| click\_to\_sign | Accept It |
Add a retention period to the package to prevent deletion. (ISO 8601 duration)
1.11
Override system messages by message key. Each value contains an optional
`default` string and an optional `locale` map of locale codes to strings.
Values are limited to 1,024 characters and cannot contain website domains or
email addresses.
3.6
Add custom consent notice text by consent type: `signing`, `verification`, or
`video_recording`. Each value contains an optional `default` string and an
optional `locale` map of locale codes to strings. Custom text is appended to
the system notice, supports locale fallback, is limited to 1,024 characters,
and cannot contain website domains or email addresses.
4.2
Parse document for templating tags. Defaults to true.
Parse merger data templating tags. Defaults to false.
4.0
Control how unused signer tags are handled.
2.6
| Value | Description |
| :----- | :------------------------------- |
| keep | Leave unused tags in document |
| hide | Move unused tags to hidden layer |
| remove | Remove unused tags `default` |
Control which document(s) within a package have the CAC page appended to them.
3.2
| Value | Description |
| :-------------- | :---------------------------------- |
| document\_all | Append to all documents in package |
| document\_first | Append to first document in package |
| document\_last | Append to last document in package |
When enabled will add a signer identification placeholder for each signer on the CAC page.
3.2
Add a custom disclaimer to the top of the Compliance Audit Certificate.
1.10
Enabled 2FA security code.
All signers will require a valid mobile phone number to enable mobile MFA.
Enabled 2FA security passphrase.
You must also set a passphrase as part of add or update request to enabled 2FA security passphrase.
```json theme={null}
{
"options": {
"securityPassphrase": true,
...
},
"securityPassphrase": "mySecretPassphrase"
}
```
Enable all mark types.
Enabled click to sign `Accept It`.
Enabled type to sign `Type It`.
Enabled touch to sign `Ink It`.
Allows signer to use desktop mouse to draw signature via touch to sign.
Allow signers to apply their last used iink signature during a signing session. Defaults to `false`.
4.1
Automatically starts video recording after host starts meeting and first attendee joins.
Disables video recording feature preventing host from recording signing session.
Add a retention period to all package videos to prevent deletion. (ISO 8601 duration)
1.11
Share meeting details and videos with guest signers via MasterFile.
Prevent all package notifications from being sent to signers. This option will override other notify options. This option will not prevent Document Accessed (notifyAccessed) notifications if enabled.
1.10.4
Set to false to not include signed documents as attachments in executed email notifications.
2.5
Send email notification to owner to confirm package was created.
Send email notification to owner whenever a signer opens a document (limited to once every hour).
Send email notification to each signer when it is their turn to sign.
Send email notification to each signer to notify them that they are waiting their turn to sign.
Send email notification to each signer when Video Signing Room meeting is scheduled.
Include ICS compatible meeting invitation with email notification to schedule meeting date and time in recipients' calendar.
Send email notification to signer after they sign each document.
2.5
For Sequential packages, the next signer notification is only sent after the current signer has signed all of their documents.
3.3
Send email to owner to notify them when all signers have signed each document.
Don't send document executed email until all documents in the package have been fully signed.
3.3
`Counterparts` Send document executed notification TO package owner and CC signer.
1.10
Send signers fully executed document with CAC page appended to end of document.
1.10
Send signers fully executed document without CAC page appended to end of document.
1.10
Send signers separated CAC page as an additional attachment.
1.10
Allow signer to add additional fields while signing documents. Customize signerTools to control what fields the signer can add.
Allow signer to delete any templated fields while signing a document. This is default behavior for VSR and In Person package types. It is recommended to use optional fields instead for Concurrent, Sequential, and Group Send package types.
2.10
Customize signer toolbar options.
Enable sign.
Enable annotations (ink) on mobile devices.
Enable annotations (ink) on desktop.
Enable text.
Enable note.
Enable forms.
Auto highlight form fields.
Enable image.
Request Signers Geolocation while signing documents, joining VSR meetings, performing IDV, and connecting to a mobile signature pad.
Customize how Geolocation is collected.
3.6
Require geolocation to be shared before allowing the signer to continue.
Require geolocation to be shared before the signer can sign documents.
(`required` must also be set to `true`)
Require geolocation to be shared before the signer can use signature pad.
(`required` must also be set to `true`)
Require geolocation to be shared before the signer can join VSR meetings.
(`required` must also be set to `true`)
Require geolocation to be shared before the signer can verify their identity.
(`required` must also be set to `true`)
Enable custom PDF security options.
2.10
Customize PDF security options.
2.10
Allow PDF merge operations.
Allow copying PDF content.
Allow only degraded PDF printing.
Allow PDF AcroForms fields to be filled in (when formFlattening option is not set to "all").
Allow PDF annotations.
Allow PDF editing.
Allow PDF printing.
Allow screen readers.
PDF security options are enforced only when the PDF is opened in a PDF viewer that supports the PDF security settings. Not all PDF viewers support these settings.
Configure consent requirements and automatic reuse.
4.2
Require the signer to provide consent before completing a configured consent
action. Defaults to `false`.
Require consent before signing. Defaults to `true`.
Require consent before video recording in a Video Signing Room package.
Defaults to `false`.
Reuse a member's previously accepted consent when the consent type and notice
version match and the acceptance occurred within this number of days. Defaults
to `90`. Set to `0` to disable automatic reuse.
Set identity verification options.
3.2
The policy ID of the custom Identity Verification Policy to use during signer identity verification. (Custom IDV policies currently must be created by our Support Team for your organization.)
The code of one of our standard Identity Verification Policy to use during signer identity verification.
| Policy Code | Pass-To-Sign | Region | Retries |
| :--------------------------------------- | :----------: | :----: | :-----: |
| trulioo3\_document | false | Any | 2 |
| trulioo3\_document\_required | true | Any | 2 |
| trulioo3\_document\_ca\_strict | false | CA | 2 |
| trulioo3\_document\_ca\_strict\_required | true | CA | 2 |
**Pass-To-Sign** indicates whether the signer must successfully complete identity verification before they can sign their documents.
Configure the digital signature types and providers available to signers.
4.2
Map each enabled digital signature type to an ordered list of provider names.
| Signature type | Description |
| :------------- | :----------------------------- |
| `qes` | Qualified Electronic Signature |
| Value | Provider |
| :------------ | :---------- |
| `digidentity` | Digidentity |
Provider availability depends on your subscription and organization configuration.
Set package `Remind Me Later` options.
4.0
Number of days, from today, to send a reminder notification to the package owner.
Message that will be sent with the reminder notification to package owner.
Set to `true` if the package is protected by a security passphrase.
Language/locale for the package.
Time zone for package date/time presentation.
Formatting options for dates and presentation.
Locale code used for formatting. (optional)
Inherits from the package locale if not specified.
Number of signed revisions across package documents.
Total number of revisions across package documents.
Restriction type applied to the package. (optional)
Set to `true` if the package was created via the API.
Package type identifier.
| Value | Description |
| :------------------- | :---------------------------------------------------------------------------------------------- |
| concurrent | **Concurrent**: Allows multiple signers to sign the document simultaneously. |
| Sequential | **Sequential**: Requires signers to sign the document in a specific order. |
| Counterpart | **Group Send**: Enables group signing, where all signers receive the document at the same time. |
| video\_closing\_room | **Video Signing Room**: A virtual room for signing documents via video conference. |
| Live Session | **In Person**: An in-person signing session with all parties present. |
Even though the signing workflow names have evolved, the constants used to identify them have remained the same.
The package type constants are case-sensitive. Ensure that you use the exact casing as shown in the table above when specifying package types in your API requests.
Current state of the package.
New package states may be added in future releases. It is recommended that you always validate your integration against the sandbox before new releases are deployed into production.
Release 4.0 introduces two new package states, `executed` and `expired`. In 3.6 both executed and expired packages were in an `open` state.
| Value | Version | Description |
| :-------- | :------ | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| draft | 1.0 | Package will be added in a draft state. Notifications will not be sent to the signer(s). You must call the send API, or the package owner must manually send the package from within iinked Sign. |
| open | 1.0 | The package will be ready for signing, and notifications will be sent to the signer(s) if enabled. |
| executed | 4.0 | The package has been fully executed by all signers. |
| expired | 4.0 | The package was not signed by the sign by date and has now expired. VSR packages will expire 7 days after their scheduled meeting date. |
| rescinded | 3.5 | The package was rescinded and is no longer available for signing. |
| select | 3.6 | Use the select state only when the package will be opened in the **embedded package editor** and you want the workflow to prompt the user to choose a package type. Packages in the select state will be automatically deleted if not converted to draft or open within 24 hours. |
| add | 2.9 | Use the add state only when the package will be opened in the **embedded package editor** and you want the workflow to function as if you're creating a new package, rather than editing an existing one. Packages in the add state will be automatically deleted if not converted to draft or open within 24 hours. |
Arbitrary external data attached to the package.
Package version or timestamp (ISO 8601).
If the package is scheduled for a meeting, the meeting details.
Unique identifier for the meeting.
Organization associated with the meeting.
Package associated with the meeting.
Meeting start time (ISO 8601 date-time).
Meeting duration (ISO 8601 duration string).
Set to `true` if the meeting is private.
Meeting type identifier.
Current state of the meeting.
| Value | Description |
| :---------- | :------------------- |
| scheduled | Scheduled meeting. |
| rescheduled | Rescheduled meeting. |
| cancelled | Cancelled meeting. |
Documents that belong to the package.
Unique identifier for the document.
Identifier of the package this document belongs to.
Unique identifier for the file associated with the document.
Auto-template identifier (if created from an auto-template).
Auto-template document identifier (if applicable).
External identifier for the document. (optional)
Order/index of the document within the package.
Document display name.
Original filename uploaded.
File extension or type identifier.
Size of the file in bytes.
Number of pages in the document.
Upload time (ISO 8601 date-time).
Last modified time (ISO 8601 date-time).
Number of signed revisions for this document.
Total number of revisions for this document.
Description of the document. (optional)
Set to `true` if a CAC (Compliance Audit Certificate) has been appended to the document.
Number of CAC pages if `cac` is `true`.
Current state of the document.
Most document states are used internally. All documents included in a returned package will always be in the open state.
| Values | Description |
| :----- | :--------------------------------------------------- |
| open | The document is open and can be interacted with. |
| failed | The document failed to process and cannot be signed. |
Revision history for the document. Typically includes one revision per signer.
ID of the document this revision belongs to.
Unique identifier for the revision.
Revision number (incrementing integer).
Identifier of the previous revision this revision replaced. (optional)
Last opened time for the revision (ISO 8601).
Signer who is associated with this revision.
Set to `true` if this revision has been signed.
Time the revision was signed (ISO 8601).
Address metadata captured on sign. (optional)
Latitude coordinate captured on sign. (optional)
Longitude coordinate captured on sign. (optional)
State of the revision (for example: signed, pending).
Signers associated with this document.
Identifier for the signer associated with the document.
Internal signer key used to map fields/tags.
Full name for the signer on this document.
Signer initials.
Email for the signer on this document.
Mobile number for the signer on this document. (optional)
Set to `true` if the signer has signed this document.
Set to `true` if this signer is next in the signing order for this document.
Template role name if the signer was created from a template role. (optional)
Signers for the package.
Unique identifier for the signer.
Package identifier the signer belongs to.
Member identifier when the signer is an organization member. (optional)
Tag associated with the signer. (optional)
When the signer record was created (ISO 8601).
Time the signer declined (if applicable).
Last update time for the signer record.
Signing order index.
Locale for the signer. (optional)
Set to `true` if signer requires CAC signing.
Set to `true` if signer requires identity verification before signing.
First name of the signer.
Last name of the signer.
Email address for the signer.
Country code for the mobile number. (optional)
Original mobile number provided.
Normalized mobile number (E.164) when available.
Message left by the signer when declining (if any).
Reason code for decline (if applicable).
Set to `true` if this signer is next in signing order across the package.
Number of revisions the signer has signed.
Number of revisions assigned to the signer.
Role of the signer.
| Value | Description |
| :----- | :---------------------------------------------------------------------- |
| signer | Signer |
| guest | Guest of VSR or In Person signing that is not a signer of any documents |
| host | Host of VSR or In Person signing |
Type of signer.
| Value | Description |
| :----- | :------------------------------------------------------------------------ |
| signer | Signer |
| guest | Signer that was added by the host during VSR or In Person signing session |
Current state of the signer.
| Value | Description |
| :------- | :-------------------------------------------------------------- |
| active | Signer that is actively participating in the signing process. |
| declined | Signer that has declined to participate in the signing process. |
| deleted | Signer that has been removed from the package. |
Signer verification status. (if any)
Identifier for the verification record.
Signer identifier associated with this verification.
Set to `true` if the signer is can sign documents after verification.
Set to `true` if the signer can join VSR after verification.
Set to `true` if the signer may retry verification on failure.
Set to `true` if the signer has successfully signed after verification.
Set to `true` if the verification is currently locked.
Number of verification attempts made.
Number of errors encountered during verification.
Whether the verification flow should continue to next step.
Whether to continue the flow when verification errors occur.
Current verification error code (if any).
Current state of the verification.
| State | Description |
| -------------------- | ----------------------------------------------------------------------------------------------- |
| not\_started | Signer has not started identity verification. |
| start | Signer is on start step. |
| consent | Signer is on consent step. |
| consent\_processing | Server is processing consent. |
| identity | Signer is on identity verification step. |
| identity\_processing | Server is processing identity verification. |
| kba | Signer is on KBA verification step. |
| kba\_processing | Server is processing KBA verification. |
| document | Signer is on document verification step. |
| document\_processing | Server is processing document verification. |
| end | Server is finalizing identity verification result. |
| passed | Identity verification has passed. |
| failed | Identity verification has failed and can be retried by signer. |
| failed\_reset | Identity verification has failed and must be reset by package owner for signer to retry. |
| failed\_locked | Identity verification has failed and is now locked and can no longer be reset by package owner. |
| error | A server error has occurred and can be retried by signer. |
| error\_reset | A server error has occurred and must be reset by package owner for signer to retry. |
| error\_locked | A server error has occurred and can no longer be reset by package owner. |
| cancelled | Identity verification has been cancelled. |
| cancelled\_reset | Identity verification has been cancelled due to package owner resetting signer's verification. |
| invalid | Identity verification is in an invalid state and cannot be processed. |
Recipients related to the package (additional recipients beyond signers).
Unique identifier for the recipient.
Identifier of the package the recipient belongs to.
Creation time for the recipient record (ISO 8601).
Last update time for the recipient record (ISO 8601).
Recipient first name.
Recipient last name.
Recipient email address.
Recipient mobile number country code. (optional)
Original recipient mobile number provided.
Normalized recipient mobile number. (optional)
Recipient locale. (optional)
Recipient type.
Current state of the recipient record.
Verification records associated with the package.
Identifier for the verification record.
Signer identifier associated with this verification.
Set to `true` if the signer is can sign documents after verification.
Set to `true` if the signer can join VSR after verification.
Set to `true` if the signer may retry verification on failure.
Set to `true` if the signer has successfully signed after verification.
Set to `true` if the verification is currently locked.
Number of verification attempts made.
Number of errors encountered during verification.
Whether the verification flow should continue to next step.
Whether to continue the flow when verification errors occur.
Current verification error code (if any).
Current state of the verification.
| State | Description |
| -------------------- | ----------------------------------------------------------------------------------------------- |
| not\_started | Signer has not started identity verification. |
| start | Signer is on start step. |
| consent | Signer is on consent step. |
| consent\_processing | Server is processing consent. |
| identity | Signer is on identity verification step. |
| identity\_processing | Server is processing identity verification. |
| kba | Signer is on KBA verification step. |
| kba\_processing | Server is processing KBA verification. |
| document | Signer is on document verification step. |
| document\_processing | Server is processing document verification. |
| end | Server is finalizing identity verification result. |
| passed | Identity verification has passed. |
| failed | Identity verification has failed and can be retried by signer. |
| failed\_reset | Identity verification has failed and must be reset by package owner for signer to retry. |
| failed\_locked | Identity verification has failed and is now locked and can no longer be reset by package owner. |
| error | A server error has occurred and can be retried by signer. |
| error\_reset | A server error has occurred and must be reset by package owner for signer to retry. |
| error\_locked | A server error has occurred and can no longer be reset by package owner. |
| cancelled | Identity verification has been cancelled. |
| cancelled\_reset | Identity verification has been cancelled due to package owner resetting signer's verification. |
| invalid | Identity verification is in an invalid state and cannot be processed. |
Consent records associated with the package.
4.2
Unique identifier for the consent record.
Consent record reused by an automatic acceptance.
Organization that owns the consent record.
Member associated with the consent.
Package associated with the consent.
Signer associated with the consent.
Identity verification associated with the consent.
Signing session associated with the consent.
Time the consent was accepted (ISO 8601 date-time).
Time the consent was declined (ISO 8601 date-time).
Time the consent was revoked (ISO 8601 date-time).
IP address from which consent was recorded.
Action used to record the consent.
| Value | Version | Description |
| :------------------------- | :------ | :------------------------------------------------------------ |
| `auto` | 4.2 | Consent was reused automatically under the configured policy. |
| `clicked_consent_button` | 4.2 | The signer accepted by selecting the consent button. |
| `clicked_decline_button` | 4.2 | The signer declined by selecting the decline button. |
| `checked_consent_checkbox` | 4.2 | The signer accepted by selecting the consent checkbox. |
| `on_behalf_of` | 4.2 | Consent was recorded on behalf of the signer. |
Base64-encoded SHA-256 version of the consent notice.
Notice presented when consent was recorded.
Default notice text.
Notice text keyed by locale code.
Consent type.
| Value | Version | Description |
| :---------------- | :------ | :---------------------------------------------- |
| `signing` | 4.2 | Consent to sign documents. |
| `verification` | 4.2 | Consent to complete identity verification. |
| `video_recording` | 4.2 | Consent to record a Video Signing Room session. |
Current consent state.
| Value | Version | Description |
| :--------- | :------ | :------------------------------------------------------------- |
| `required` | 4.2 | Consent is required and has not yet been accepted or declined. |
| `accepted` | 4.2 | Consent was accepted. |
| `declined` | 4.2 | Consent was declined. |
| `revoked` | 4.2 | Previously accepted consent was revoked. |
List of contacts created during package creation, returned when `addSignersToContacts` is set to `true` on the request.
# Data
Source: https://docs.iinkedsign.com/v4/api/packages/data
GET /packages/{packageId}/data
After the signers have signed their documents and the package has been finalized you can retrieve the values of all fields in the package by calling the `/packages/{packageId}/data` endpoint.
## Request
```http Request theme={null}
GET /packages/{packageId}/data
```
### Parameters
The unique identifier of the package you want to retrieve field data for.
## Response
Unique identifier for the package.
Display name of the package.
Package type.
| Value | Description |
| :------------------- | :---------------------------------------------------------------------------------------------- |
| concurrent | **Concurrent**: Allows multiple signers to sign the document simultaneously. |
| Sequential | **Sequential**: Requires signers to sign the document in a specific order. |
| Counterpart | **Group Send**: Enables group signing, where all signers receive the document at the same time. |
| video\_closing\_room | **Video Signing Room**: A virtual room for signing documents via video conference. |
| Live Session | **In Person**: An in-person signing session with all parties present. |
Even though the signing workflow names have evolved, the constants used to identify them have remained the same.
The package type constants are case-sensitive. Ensure that you use the exact casing as shown in the table above when specifying package types in your API requests.
Current workflow state of the package.
New package states may be added in future releases. It is recommended that you always validate your integration against the sandbox before new releases are deployed into production.
Release 4.0 introduces two new package states, `executed` and `expired`. In 3.6 both executed and expired packages were in an `open` state.
| Value | Version | Description |
| :-------- | :------ | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| draft | 1.0 | Package will be added in a draft state. Notifications will not be sent to the signer(s). You must call the send API, or the package owner must manually send the package from within iinked Sign. |
| open | 1.0 | The package will be ready for signing, and notifications will be sent to the signer(s) if enabled. |
| executed | 4.0 | The package has been fully executed by all signers. |
| expired | 4.0 | The package was not signed by the sign by date and has now expired. VSR packages will expire 7 days after their scheduled meeting date. |
| rescinded | 3.5 | The package was rescinded and is no longer available for signing. |
| select | 3.6 | Use the select state only when the package will be opened in the **embedded package editor** and you want the workflow to prompt the user to choose a package type. Packages in the select state will be automatically deleted if not converted to draft or open within 24 hours. |
| add | 2.9 | Use the add state only when the package will be opened in the **embedded package editor** and you want the workflow to function as if you're creating a new package, rather than editing an existing one. Packages in the add state will be automatically deleted if not converted to draft or open within 24 hours. |
Arbitrary external data attached to the package.
List of documents along with their captured field values.
Unique identifier for the document.
Identifier of the package this document belongs to.
Document display name.
Original filename uploaded for the document.
Current state of the document.
Most document states are used internally. All documents included in a returned package will always be in the open state.
| Values | Description |
| :----- | :--------------------------------------------------- |
| open | The document is open and can be interacted with. |
| failed | The document failed to process and cannot be signed. |
Field values captured for the document.
Unique identifier for the field instance (for example: signer\_1-text\_1).
Data identifier from the template or field definition. (optional)
Signer identifier associated with this field value. (optional)
Origin of the value (for example: template, user).
Field type (for example: text, multiline, checkbox).
Captured value for the field.
Page number within the document where the field appears.
# Delete
Source: https://docs.iinkedsign.com/v4/api/packages/delete
POST /packages/delete
The `/packages/delete` endpoint allows you to delete an existing package from the iinked Sign platform.
Once a package is deleted, all signers associated with the package will no longer be able to access or sign the documents within that package.
You can alternatively rescind a package using the [/packages/rescind](/v4/api/packages/rescind) endpoint, which notifies all signers that the package has been rescinded but retains the package and its documents in the platform.
Please note that this will mark the package and all of its documents and videos for permanent deletion from the iinked Sign platform and you should only do so if you no longer need the package.
## Request
```http Request highlight={3} theme={null}
POST /packages/delete
{
"packageId": "cf91071d-966d-41ea-b9bf-aa96a8e56c02",
"notify": true,
"overrideRetention": false
}
```
### Body
Unique identifier for the package.
When `true`, notifies all signers of the package deletion via email. When `false`, no notifications are sent.
When `true`, overrides any retention policies that would normally prevent the package from being deleted.
Use with caution.
## Response
Unique identifier of the package deleted.
List of videos that were deleted from the package.
Unique identifier for the video.
Shared identifier for the video.
Identifier of the meeting the video belongs to.
Identifier of the meeting session.
External system identifier for the video (if available).
External storage identifier for the video (if available).
Creation time (ISO 8601 date-time).
Retention expiry time (ISO 8601 date-time).
Deletion time (ISO 8601 date-time).
Video duration (ISO 8601 duration).
Size of the video in bytes.
Source of the video.
Type of video.
| Value | Description |
| :---- | :------------------------ |
| video | Standard video recording. |
Current state of the video.
| Value | Description |
| :------- | :------------------------------------------------------------------------------ |
| started | Video recording session is currently active. |
| stopped | Video recording session ended successfully. |
| queued | Video recording is waiting to download. |
| failed | Video recording failed to download because of an error. |
| archived | Video recording has been successfully downloaded and is available for playback. |
| deleted | Video recording has been permanently removed. |
Temporary URL to download or playback the video.
Expires based on `timeUrlExpires`.
Expiration time for the temporary URL (ISO 8601 date-time).
# Download
Source: https://docs.iinkedsign.com/v4/api/packages/download
GET /packages/{packageId}/documents/{documentId}/pdf/{version}/download
## Request
Download the **executed** version of a document within a package. This provides access to the completed document that has been fully signed and is ready for record-keeping or distribution.
```http Request theme={null}
GET /packages/{packageId}/documents/{documentId}/pdf/executed/download
```
Download the **CAC** (Compliance Audit Certificate) for a package.
```http Request theme={null}
GET /packages/{packageId}/documents/{documentId}/pdf/cac/download
```
Download the **current** revision of a document within a package. This allows you to retrieve the most up-to-date version of the document, which may include any recent changes or signatures.
```http Request theme={null}
GET /packages/{packageId}/documents/{documentId}/pdf/current/download
```
Use the `revisionId` to download a specific revision of a document within a package. This is useful when you need to access a particular version of the document, such as one before or after certain changes were made.
```http Request theme={null}
GET /packages/{packageId}/documents/{documentId}/pdf/{revisionId}/download
```
### Parameters
Unique identifier for the package to download a document from.
Unique identifier for the document within the package to download.
Specifies the version of the document to download. Accepted values are:
| Value | Description |
| -------------- | ------------------------------------------------------------------------------------------ |
| executed | The fully signed and completed version of the document. |
| cac | The Compliance Audit Certificate for the package. |
| current | The most up-to-date revision of the document. |
| `{revisionId}` | A specific unique revision identifier to download that particular version of the document. |
See the [MasterFile download API](/v4/api/masterfile/download) for more information on downloading MasterFiles.
## Response
Returns a PDF file of the requested document version.
```http theme={null}
HTTP/1.1 200 OK
Content-Type: application/pdf
Content-Disposition: attachment; name="example.pdf";filename*=utf-8''example.pdf
```
# Get
Source: https://docs.iinkedsign.com/v4/api/packages/get
GET /packages/{packageId}
The `/packages/{packageId}` endpoint allows you to retrieve detailed information about a specific package by its unique identifier.
## Request
```http Request theme={null}
GET /packages/{packageId}
```
### Parameters
The unique identifier of the package you want to retrieve.
## Response
Unique identifier for the package.
Unique identifier for the organization that owns the package.
Identifier for the member who created/owns the package.
Team identifier associated with the package. (optional)
Folder identifier where the package is stored. (optional)
Set to `true` if the package is shared.
Current scheduled meeting ID for the package (if applicable).
ID of the template the package was created from (if applicable).
ID of the form the package was created from (if applicable).
ID of the API key used to create the package (if created via API key).
Display name of the package.
Category for the package. (optional)
Client reference number. (optional)
Matter reference number. (optional)
Description of the package. (optional)
Message included when the package was sent. (optional)
Message explaining why the package was rescinded. (optional)
Reminder message for signers. (optional)
Creation time (ISO 8601 date-time).
Reminder time (ISO 8601 date-time).
Retention expiry time (ISO 8601 date-time).
Time the package was rescinded (ISO 8601).
Time the package was deleted (ISO 8601).
Deadline for signing (ISO 8601 date-time).
Last modification time (ISO 8601 date-time).
Package options.
Enable embedded signing mode.
Embed options used to customize the embedded package editor.
2.8
User can only save changes to draft packages; the user will not be able to send it.
User will not be allowed to modify package properties.
User will not be allowed to modify package verification properties.
User will not be allowed to modify package signers.
User will not be allowed to modify package documents.
User will not be allowed to modify package properties, verification properties, signers, or documents. They will still be allowed to template each document.
The first document will be focused when the package editor is loaded instead of the package properties.
User will be redirected back to the returnUrl when they are done editing the package.
Will be included in a `state` query string parameter appended to the `returnUrl`.
Show custom brand when signing package.
1.10
Add document identifier to each page (QR code).
Allow VSR participants to review documents before a meeting via a Review Documents link added to email meeting invitation.
2.6
Allow signers to forward the signing to another email address.
4.0
Enabled to not share email addresses between signers.
2.11
Supported in the following package types:
* Concurrent (`concurrent`)
* Sequential (`Sequential`)
* Group Send (`Counterparts`)
Do not allow signers to fill AcroForm fields during signing.
3.3
Do not allow signers to modify AcroForm fields during signing.
3.6
Control how Acroform fields are flattened after signing a document.
2.6
| Value | Description |
| :----- | :----------------------------------- |
| none | Do not flatten fields |
| filled | Flatten only fields filled by signer |
| all | Flatten all fields `default` |
Override the default ink color `#0000FF` for Ink to Sign signatures and initials with a valid #-hexadecimal RGB color value.
2.10
Set preferred default mark type.
4.0
| Value | Description |
| :-------------- | :---------- |
| touch\_to\_sign | iink It |
| type\_to\_sign | Type It |
| click\_to\_sign | Accept It |
Add a retention period to the package to prevent deletion. (ISO 8601 duration)
1.11
Override system messages by message key. Each value contains an optional
`default` string and an optional `locale` map of locale codes to strings.
Values are limited to 1,024 characters and cannot contain website domains or
email addresses.
3.6
Add custom consent notice text by consent type: `signing`, `verification`, or
`video_recording`. Each value contains an optional `default` string and an
optional `locale` map of locale codes to strings. Custom text is appended to
the system notice, supports locale fallback, is limited to 1,024 characters,
and cannot contain website domains or email addresses.
4.2
Parse document for templating tags. Defaults to true.
Parse merger data templating tags. Defaults to false.
4.0
Control how unused signer tags are handled.
2.6
| Value | Description |
| :----- | :------------------------------- |
| keep | Leave unused tags in document |
| hide | Move unused tags to hidden layer |
| remove | Remove unused tags `default` |
Control which document(s) within a package have the CAC page appended to them.
3.2
| Value | Description |
| :-------------- | :---------------------------------- |
| document\_all | Append to all documents in package |
| document\_first | Append to first document in package |
| document\_last | Append to last document in package |
When enabled will add a signer identification placeholder for each signer on the CAC page.
3.2
Add a custom disclaimer to the top of the Compliance Audit Certificate.
1.10
Enabled 2FA security code.
All signers will require a valid mobile phone number to enable mobile MFA.
Enabled 2FA security passphrase.
You must also set a passphrase as part of add or update request to enabled 2FA security passphrase.
```json theme={null}
{
"options": {
"securityPassphrase": true,
...
},
"securityPassphrase": "mySecretPassphrase"
}
```
Enable all mark types.
Enabled click to sign `Accept It`.
Enabled type to sign `Type It`.
Enabled touch to sign `Ink It`.
Allows signer to use desktop mouse to draw signature via touch to sign.
Allow signers to apply their last used iink signature during a signing session. Defaults to `false`.
4.1
Automatically starts video recording after host starts meeting and first attendee joins.
Disables video recording feature preventing host from recording signing session.
Add a retention period to all package videos to prevent deletion. (ISO 8601 duration)
1.11
Share meeting details and videos with guest signers via MasterFile.
Prevent all package notifications from being sent to signers. This option will override other notify options. This option will not prevent Document Accessed (notifyAccessed) notifications if enabled.
1.10.4
Set to false to not include signed documents as attachments in executed email notifications.
2.5
Send email notification to owner to confirm package was created.
Send email notification to owner whenever a signer opens a document (limited to once every hour).
Send email notification to each signer when it is their turn to sign.
Send email notification to each signer to notify them that they are waiting their turn to sign.
Send email notification to each signer when Video Signing Room meeting is scheduled.
Include ICS compatible meeting invitation with email notification to schedule meeting date and time in recipients' calendar.
Send email notification to signer after they sign each document.
2.5
For Sequential packages, the next signer notification is only sent after the current signer has signed all of their documents.
3.3
Send email to owner to notify them when all signers have signed each document.
Don't send document executed email until all documents in the package have been fully signed.
3.3
`Counterparts` Send document executed notification TO package owner and CC signer.
1.10
Send signers fully executed document with CAC page appended to end of document.
1.10
Send signers fully executed document without CAC page appended to end of document.
1.10
Send signers separated CAC page as an additional attachment.
1.10
Allow signer to add additional fields while signing documents. Customize signerTools to control what fields the signer can add.
Allow signer to delete any templated fields while signing a document. This is default behavior for VSR and In Person package types. It is recommended to use optional fields instead for Concurrent, Sequential, and Group Send package types.
2.10
Customize signer toolbar options.
Enable sign.
Enable annotations (ink) on mobile devices.
Enable annotations (ink) on desktop.
Enable text.
Enable note.
Enable forms.
Auto highlight form fields.
Enable image.
Request Signers Geolocation while signing documents, joining VSR meetings, performing IDV, and connecting to a mobile signature pad.
Customize how Geolocation is collected.
3.6
Require geolocation to be shared before allowing the signer to continue.
Require geolocation to be shared before the signer can sign documents.
(`required` must also be set to `true`)
Require geolocation to be shared before the signer can use signature pad.
(`required` must also be set to `true`)
Require geolocation to be shared before the signer can join VSR meetings.
(`required` must also be set to `true`)
Require geolocation to be shared before the signer can verify their identity.
(`required` must also be set to `true`)
Enable custom PDF security options.
2.10
Customize PDF security options.
2.10
Allow PDF merge operations.
Allow copying PDF content.
Allow only degraded PDF printing.
Allow PDF AcroForms fields to be filled in (when formFlattening option is not set to "all").
Allow PDF annotations.
Allow PDF editing.
Allow PDF printing.
Allow screen readers.
PDF security options are enforced only when the PDF is opened in a PDF viewer that supports the PDF security settings. Not all PDF viewers support these settings.
Configure consent requirements and automatic reuse.
4.2
Require the signer to provide consent before completing a configured consent
action. Defaults to `false`.
Require consent before signing. Defaults to `true`.
Require consent before video recording in a Video Signing Room package.
Defaults to `false`.
Reuse a member's previously accepted consent when the consent type and notice
version match and the acceptance occurred within this number of days. Defaults
to `90`. Set to `0` to disable automatic reuse.
Set identity verification options.
3.2
The policy ID of the custom Identity Verification Policy to use during signer identity verification. (Custom IDV policies currently must be created by our Support Team for your organization.)
The code of one of our standard Identity Verification Policy to use during signer identity verification.
| Policy Code | Pass-To-Sign | Region | Retries |
| :--------------------------------------- | :----------: | :----: | :-----: |
| trulioo3\_document | false | Any | 2 |
| trulioo3\_document\_required | true | Any | 2 |
| trulioo3\_document\_ca\_strict | false | CA | 2 |
| trulioo3\_document\_ca\_strict\_required | true | CA | 2 |
**Pass-To-Sign** indicates whether the signer must successfully complete identity verification before they can sign their documents.
Configure the digital signature types and providers available to signers.
4.2
Map each enabled digital signature type to an ordered list of provider names.
| Signature type | Description |
| :------------- | :----------------------------- |
| `qes` | Qualified Electronic Signature |
| Value | Provider |
| :------------ | :---------- |
| `digidentity` | Digidentity |
Provider availability depends on your subscription and organization configuration.
Set package `Remind Me Later` options.
4.0
Number of days, from today, to send a reminder notification to the package owner.
Message that will be sent with the reminder notification to package owner.
Set to `true` if the package is protected by a security passphrase.
Language/locale for the package.
Time zone for package date/time presentation.
Formatting options for dates and presentation.
Locale code used for formatting. (optional)
Inherits from the package locale if not specified.
Number of signed revisions across package documents.
Total number of revisions across package documents.
Restriction type applied to the package. (optional)
Set to `true` if the package was created via the API.
Package type identifier.
| Value | Description |
| :------------------- | :---------------------------------------------------------------------------------------------- |
| concurrent | **Concurrent**: Allows multiple signers to sign the document simultaneously. |
| Sequential | **Sequential**: Requires signers to sign the document in a specific order. |
| Counterpart | **Group Send**: Enables group signing, where all signers receive the document at the same time. |
| video\_closing\_room | **Video Signing Room**: A virtual room for signing documents via video conference. |
| Live Session | **In Person**: An in-person signing session with all parties present. |
Even though the signing workflow names have evolved, the constants used to identify them have remained the same.
The package type constants are case-sensitive. Ensure that you use the exact casing as shown in the table above when specifying package types in your API requests.
Current state of the package.
New package states may be added in future releases. It is recommended that you always validate your integration against the sandbox before new releases are deployed into production.
Release 4.0 introduces two new package states, `executed` and `expired`. In 3.6 both executed and expired packages were in an `open` state.
| Value | Version | Description |
| :-------- | :------ | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| draft | 1.0 | Package will be added in a draft state. Notifications will not be sent to the signer(s). You must call the send API, or the package owner must manually send the package from within iinked Sign. |
| open | 1.0 | The package will be ready for signing, and notifications will be sent to the signer(s) if enabled. |
| executed | 4.0 | The package has been fully executed by all signers. |
| expired | 4.0 | The package was not signed by the sign by date and has now expired. VSR packages will expire 7 days after their scheduled meeting date. |
| rescinded | 3.5 | The package was rescinded and is no longer available for signing. |
| select | 3.6 | Use the select state only when the package will be opened in the **embedded package editor** and you want the workflow to prompt the user to choose a package type. Packages in the select state will be automatically deleted if not converted to draft or open within 24 hours. |
| add | 2.9 | Use the add state only when the package will be opened in the **embedded package editor** and you want the workflow to function as if you're creating a new package, rather than editing an existing one. Packages in the add state will be automatically deleted if not converted to draft or open within 24 hours. |
Arbitrary external data attached to the package.
Package version or timestamp (ISO 8601).
If the package is scheduled for a meeting, the meeting details.
Unique identifier for the meeting.
Organization associated with the meeting.
Package associated with the meeting.
Meeting start time (ISO 8601 date-time).
Meeting duration (ISO 8601 duration string).
Set to `true` if the meeting is private.
Meeting type identifier.
Current state of the meeting.
| Value | Description |
[...]
